Forum Discussion

jaryszek's avatar
jaryszek
Super User
1 year ago
Solved

Why refreshed label is not refreshing while posting the import in power bi service?

Hello,

I am using this rest api:

@groupId = {{getGroups.response.body.$.value[0].id}}

POST https://api.powerbi.com/v1.0/myorg/groups/{{groupId}}/imports?datasetDisplayName={{fileDisplayName}}&nameConflict=Overwrite
Authorization: Bearer {{$aadV2Token appOnly}}
Content-Type: multipart/form-data; boundary=MfnBoundry

--MfnBoundry
Content-Disposition: form-data; name="files"; filename="{{filename}}"
Content-Type: application/octet-stream

< ./{{filename}}
--MfnBoundry--

 

and have :
NameConflict=Overwrite (or CreateOrOverwrite) 

It is working. 


The issue is that Refershed column in power bi service within workspace is not refreshed: 

Why? This should be updated I suppose. 

Best,
Jacek

 

  • Hi jaryszek,
    Thank you for reaching out to the Microsoft fabric community forum.

    After reviewing the details you provided, I have identified few workarounds that may help resolve the issue. Please follow these steps:


    This happens because when you import a PBIX file, it does not trigger an automatic dataset refresh in the same way that a scheduled or manual refresh does. If you overwrite an existing dataset using NameConflict=Overwrite or CreateOrOverwrite, Power BI does not trigger a refresh. The old timestamp remains unchanged until you explicitly trigger a refresh.


    Since Power BI does not consider an import as a refresh, you must trigger a dataset refresh manually after importing the PBIX file. The "Refreshed" column does not update for folders in Power BI Service because folders are just for organizing content and do not contain data that needs refreshing. If you're looking to update the "Refreshed" timestamp, you need to refresh the dataset or semantic model that powers the reports inside the folder.

    To do this: Go to Power BI Service → Workspace. Find the Dataset or Semantic Model related to your reports. Click on the three dots (⋮) → Refresh Now. if the dataset should refresh automatically, check its Scheduled Refresh settings and ensure credentials are valid.

    If your dataset is imported manually rather than via the API, Power BI typically updates the "Refreshed" column. However, when using the API, it does not recognize it as a refresh. To ensure the "Refreshed" timestamp updates, it is advisable to trigger a refresh programmatically.

    If your dataset uses DirectQuery or a live connection, the Refreshed timestamp may not update in the same way. Consider the following:

    • For DirectQuery: The data is always up to date, but the timestamp only updates when a manual refresh is triggered.
    • For Import Mode: Ensure a scheduled refresh is set up so that even if an import occurs, the dataset refreshes at the next scheduled time.

    If this post helps, then please give us ‘Kudos’ and consider Accept it as a solution to help the other members find it more quickly.

     

    Thank you for using Microsoft Community Forum.

2 Replies

  • v-kpoloju-msft's avatar
    v-kpoloju-msft
    Community Support

    Hi jaryszek,
    Thank you for reaching out to the Microsoft fabric community forum.

    After reviewing the details you provided, I have identified few workarounds that may help resolve the issue. Please follow these steps:


    This happens because when you import a PBIX file, it does not trigger an automatic dataset refresh in the same way that a scheduled or manual refresh does. If you overwrite an existing dataset using NameConflict=Overwrite or CreateOrOverwrite, Power BI does not trigger a refresh. The old timestamp remains unchanged until you explicitly trigger a refresh.


    Since Power BI does not consider an import as a refresh, you must trigger a dataset refresh manually after importing the PBIX file. The "Refreshed" column does not update for folders in Power BI Service because folders are just for organizing content and do not contain data that needs refreshing. If you're looking to update the "Refreshed" timestamp, you need to refresh the dataset or semantic model that powers the reports inside the folder.

    To do this: Go to Power BI Service → Workspace. Find the Dataset or Semantic Model related to your reports. Click on the three dots (⋮) → Refresh Now. if the dataset should refresh automatically, check its Scheduled Refresh settings and ensure credentials are valid.

    If your dataset is imported manually rather than via the API, Power BI typically updates the "Refreshed" column. However, when using the API, it does not recognize it as a refresh. To ensure the "Refreshed" timestamp updates, it is advisable to trigger a refresh programmatically.

    If your dataset uses DirectQuery or a live connection, the Refreshed timestamp may not update in the same way. Consider the following:

    • For DirectQuery: The data is always up to date, but the timestamp only updates when a manual refresh is triggered.
    • For Import Mode: Ensure a scheduled refresh is set up so that even if an import occurs, the dataset refreshes at the next scheduled time.

    If this post helps, then please give us ‘Kudos’ and consider Accept it as a solution to help the other members find it more quickly.

     

    Thank you for using Microsoft Community Forum.

    • jaryszek's avatar
      jaryszek
      Super User

      Wow thank you very much, but still my report was replaced and this is a good!

      Best,
      Jacek